Subject: [bess] Some questions on the comparisons on PBB-EVPN (RFC7623) and VXLAN EVPN

From: <[email-masked]>
Date: Wed, 7 Feb 2018 15:20:09 +0800 (CST)

Hi  folks,

I have some questions on EVPN, would you kindly help to get an answer?

Here are the questions:

1）The PBB EVPN per RFC7623 is defined in MPLS network only.

     and it seems that the PBB EVPN in VXLAN network or SRv6 network is not defined yet,

     so my question is how do you consider these two PBB EVPN solutions?

     they are unnecessary ? or there are alternative solutions to fill these scenarios?

2）I think the VXLAN framework and PBB framework are similar, which means that :

     the VXLAN overlay equals the PBB I-component,

     the VXLAN underlay   equals the PBB B-component,

     the difference is the VXLAN "B-component" can be an IP-VRF (MPLS based ) or raw underlay IP network,

     but the PBB EVPN B-component can be MAC-VRF only and the MAC-VRF requires MPLS typically .

     I guess it is the technical reason that may make PBB EVPN in VXLAN/SRv6 network  unnecessary (because VXLAN EVPN itselt acts as a simple substitute )?

     is it right or i have missed something important? 

3）about the PBB EVPN with the ESI redundancy single-active mode and per-service load-balancing

     in this scenario, the B-MAC of the same ESI is different on each PE, 

     so the source-BMAC of PBB EVPN data packet can't be used to do the ESI filtering ( as it does in all-active mode）,

     so the ESI filtering is not needed here? or there is other method to do ESI filtering?

     I have heard of an explantion, which blieves that the non-DF side is blocked on both PSN side and AC side so the ESI filtering is not needed, is it right?

     But, if so, it requires the CE device to send traffic to the DF-PE only,  

     so my question is how does the CE know which PE is the DF one?

     I have an method to do ESI filtering in this scenario, but i guess the standards may have consider it already, so i send the question to you for help.

Best Regards,

Wang Yubao